it.csi.mddtools.guigen

## Interface ModelSlot

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface ModelSlot
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Model Slot'. Valorizzazione di uno slot con un modello utilizzabile dal custom template

  The following features are supported:

  - `Def`
  - `Val`
  See Also:
    `GuigenPackage.getModelSlot()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ModelSlotDef` | `getDef()` Returns the value of the 'Def' reference
    `org.eclipse.emf.ecore.EObject` | `getVal()` Returns the value of the 'Val' reference
    `void` | `setDef(ModelSlotDef value)` Sets the value of the '`Def`' reference
    `void` | `setVal(org.eclipse.emf.ecore.EObject value)` Sets the value of the '`Val`' reference

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getDef

          ModelSlotDef getDef()

      Returns the value of the 'Def' reference.

      If the meaning of the 'Def' reference isn't clear, there really should be more of a description here...

      Definizione del model slot di cui questo ModelSlot rappresenta la valorizzazione.
      Returns:
        the value of the 'Def' reference.
      See Also:
        `setDef(ModelSlotDef)`, `GuigenPackage.getModelSlot_Def()`

    - #### setDef

          void setDef(ModelSlotDef value)

      Sets the value of the '`Def`' reference.
      Parameters:
        `value` - the new value of the 'Def' reference.
      See Also:
        `getDef()`

    - #### getVal

          org.eclipse.emf.ecore.EObject getVal()

      Returns the value of the 'Val' reference.

      If the meaning of the 'Val' reference isn't clear, there really should be more of a description here...

      Valore dello slot. Il tipo dell'elemento associato deve corrispondere con quanto dichiarato nell'attributo modelClass dell'oggetto ModelSlotDef corrispondente.
      Returns:
        the value of the 'Val' reference.
      See Also:
        `setVal(EObject)`, `GuigenPackage.getModelSlot_Val()`

    - #### setVal

          void setVal(org.eclipse.emf.ecore.EObject value)

      Sets the value of the '`Val`' reference.
      Parameters:
        `value` - the new value of the 'Val' reference.
      See Also:
        `getVal()`